Function
convertMatchesToGlobalAlignment
Converts all matches to a multiple global alignment in gap-space.
convertMatchesToGlobalAlignment(store, score)
Include Headers
seqan/store.h
Parameters

store | The fragment store. Types: FragmentStore
score | A score object used by globalAlignment in this function.

Remarks
Before calling this function all gaps structures in alignedReadStore and contigStore must be empty, i.e. there are no gaps in the alignments. This function iterates over entries in the alignedReadStore and semi-global aligns each read to its contig segments given by begin and end position. Gaps introduced by these pair-wise alignments are then inserted to the affected contig and reads correspondingly.
The invariant that positions in the alignedReadStore are in gap-space holds before (there were no gaps in alignments) and after calling this functions.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46